Bug 1835850 (CVE-2020-2922) - CVE-2020-2922 mysql: C API unspecified vulnerability (CPU Apr 2020)
Summary: CVE-2020-2922 mysql: C API unspecified vulnerability (CPU Apr 2020)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2922
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1741357 1741358 1830104 1830105 1830106 1830107 1830108 1830109 1830113 1830114 1840654 1874024 1874027 1874031 1880323 1880325 1894120 1899048 1899049 1899050 1899051 1909692
Blocks: 1830097
TreeView+ depends on / blocked
 
Reported: 2020-05-14 15:36 UTC by Tomas Hoger
Modified: 2021-02-16 20:02 UTC (History)
21 users (show)

Fixed In Version: mysql 5.6.48, mysql 5.7.30, mysql 8.0.19, mariadb-connector-c 3.1.3, mariadb 5.5.65, mariadb 10.4.7, mariadb 10.3.17, mariadb 10.2.26, mariadb 10.1.41
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-21 15:15:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3523 0 None None None 2020-08-19 19:02:55 UTC
Red Hat Product Errata RHBA-2020:3777 0 None None None 2020-09-17 09:31:22 UTC
Red Hat Product Errata RHBA-2020:5318 0 None None None 2020-12-02 11:08:03 UTC
Red Hat Product Errata RHSA-2020:3518 0 None None None 2020-08-19 14:10:29 UTC
Red Hat Product Errata RHSA-2020:3732 0 None None None 2020-09-14 12:58:39 UTC
Red Hat Product Errata RHSA-2020:3755 0 None None None 2020-09-15 16:21:00 UTC
Red Hat Product Errata RHSA-2020:3757 0 None None None 2020-09-15 18:29:54 UTC
Red Hat Product Errata RHSA-2020:4174 0 None None None 2020-10-05 15:15:55 UTC
Red Hat Product Errata RHSA-2020:5246 0 None None None 2020-11-30 13:44:57 UTC
Red Hat Product Errata RHSA-2020:5503 0 None None None 2020-12-15 17:11:07 UTC
Red Hat Product Errata RHSA-2020:5655 0 None None None 2020-12-22 09:07:28 UTC
Red Hat Product Errata RHSA-2020:5660 0 None None None 2020-12-22 09:15:46 UTC
Red Hat Product Errata RHSA-2020:5662 0 None None None 2020-12-22 09:27:55 UTC
Red Hat Product Errata RHSA-2020:5663 0 None None None 2020-12-22 09:24:48 UTC

Description Tomas Hoger 2020-05-14 15:36:19 UTC
Vulnerability in the MySQL Client product of Oracle MySQL (component: C API). Supported versions that are affected are 5.6.47 and prior, 5.7.29 and prior and 8.0.18 and prior. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise MySQL Client. Successful attacks of this vulnerability can result in unauthorized read access to a subset of MySQL Client accessible data.

External References:

https://www.oracle.com/security-alerts/cpuapr2020.html#AppendixMSQL

Comment 2 Tomas Hoger 2020-05-21 12:24:34 UTC
MariaDB upstream indicates that this issue was fixed in upstream versions 5.5.65 and 10.3.17.  Therefore, this issue was already fixed in mariadb packages in Red Hat Enterprise Linux 7 and mariadb:10.3/mariadb packages in Red Hat Enterprise Linux 8, which were previously updated to fixed upstream versions.

mariadb update to 5.5.65 in Red Hat Enterprise Linux 7.8:
https://access.redhat.com/errata/RHSA-2020:1100

mariadb:10.3/mariadb update to 10.3.17 in Red Hat Enterprise Linux 8.1:
https://access.redhat.com/errata/RHSA-2019:3708

Comment 3 Product Security DevOps Team 2020-05-21 15:15:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2922

Comment 5 errata-xmlrpc 2020-08-19 14:10:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 10 errata-xmlrpc 2020-09-14 12:58:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 12 errata-xmlrpc 2020-09-15 16:20:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 14 errata-xmlrpc 2020-09-15 18:29:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 20 errata-xmlrpc 2020-10-05 15:15:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 21 errata-xmlrpc 2020-11-30 13:44:56 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 22 errata-xmlrpc 2020-12-15 17:11:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5503 https://access.redhat.com/errata/RHSA-2020:5503

Comment 23 errata-xmlrpc 2020-12-22 09:07:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5655 https://access.redhat.com/errata/RHSA-2020:5655

Comment 24 errata-xmlrpc 2020-12-22 09:16:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5660 https://access.redhat.com/errata/RHSA-2020:5660

Comment 25 errata-xmlrpc 2020-12-22 09:24:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 26 errata-xmlrpc 2020-12-22 09:27:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5662 https://access.redhat.com/errata/RHSA-2020:5662


Note You need to log in before you can comment on or make changes to this bug.